import { ApiBase } from './ApiBase';
import { EntitlementApi } from '../EntitlementApi';
import { AccessLevel, AdaptableModule, AdaptableObject } from '../../types';
import { EntitlementInternalApi } from '../Internal/EntitlementInternalApi';
import { IAdaptable } from '../../AdaptableInterfaces/IAdaptable';
export declare class EntitlementApiImpl extends ApiBase implements EntitlementApi {
    internalApi: EntitlementInternalApi;
    constructor(_adaptable: IAdaptable);
    getEntitlementAccessLevelForModule(adaptableModule: AdaptableModule): AccessLevel;
    isObjectReadonly(object: AdaptableObject): boolean;
    isModuleHiddenEntitlement(adaptableModule: AdaptableModule): boolean;
    isModuleFullEntitlement(adaptableModule: AdaptableModule): boolean;
    isModuleReadOnlyEntitlement(adaptableModule: AdaptableModule): boolean;
}
